package cn.fw.valhalla.domain.db;

import cn.fw.common.data.entity.BaseAuditableTimeEntity;
import lombok.Data;

import java.time.LocalDate;

/**
 * 公共池报表数据(初次抽取)(PublicReportData)实体类
 * @author makejava
 * @since 2023-05-12 16:09:45
 */
@Data
public class PublicReportData  extends BaseAuditableTimeEntity<PublicReportData, Long> {
    /**
     * 数据日期
     */
    private LocalDate dataDate;
    /**
     * 数据维度: 10门店,20人员,99来源
     */
    private String reportDimension;
    /**
     * 来源类型 1：首保 2：流失 3：主动放弃 (店,来源)
     */
    private Integer type;
    /**
     * 用户id
     */
    private Long userId;
    /**
     * 用户名称
     */
    private String userName;
    /**
     * 门店id
     */
    private Long shopId;
    /**
     * 门店名称
     */
    private String shopName;
    /**
     * 月初始数(店,来源)
     */
    private Integer monthInitial;
    /**
     * 日新增(店,来源)
     */
    private Integer dayIncrease;
    /**
     * 月新增(店,来源)
     */
    private Integer monthIncrease;
    /**
     * 截止当前(店,来源)
     */
    private Integer currentQuantity;
    /**
     * 日站岗分配(店,人)
     */
    private Integer dayStandQuantity;
    /**
     * 月站岗分配(店,人)
     */
    private Integer monthStandQuantity;
    /**
     * 日自然到店成交((店,人))
     */
    private Integer dayNaturalQuantity;
    /**
     * 月自然到店成交((店,人))
     */
    private Integer monthNaturalQuantity;
    /**
     * 集团id
     */
    private Long groupId;

    public PublicReportData() {
    }

    public PublicReportData(String reportDimension, Long groupId) {
        this.reportDimension = reportDimension;
        this.groupId = groupId;
    }
}

