package cn.fw.valhalla.domain.enums;

import com.fasterxml.jackson.annotation.JsonCreator;
import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 维度
 * <p>
 * create at 2020-07-14
 *
 * @author zhangjj
 */
@AllArgsConstructor
public enum ValhallaReportDimension {
    /**
     * 门店
     */
    D10("10"),
    /**
     * 人员
     */
    D20("20"),
    /**
     * 来源
     */
    D60("60"),
    ;

    /**
     * 值
     */
    @Getter
    private final String value;

    @JsonCreator
    public static ValhallaReportDimension ofValue(final String value) {
        for (final ValhallaReportDimension instance : ValhallaReportDimension.values()) {
            if (instance.getValue().equals(value)) {
                return instance;
            }
        }
        return null;
    }
}
